VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Enumerations
note_expression_synth_voice.h File Reference
`#include "../../common/voicebase.h"`
`#include "../../common/logscale.h"`
`#include "brownnoise.h"`
`#include "filter.h"`
`#include "note_expression_synth_controller.h"`
`#include "pluginterfaces/vst/ivstevents.h"`
`#include "pluginterfaces/base/futils.h"`
`#include <cmath>`
`#include <algorithm>`

## Classes
struct | GlobalParameterState
class | VoiceStatics
class | Voice< SamplePrecision >
| Example Note Expression Synth Voice Class. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::NoteExpressionSynth

## Macros
#define | M_PI_MUL_2 6.28318530717958647692

## Enumerations
enum | VoiceParameters { kVolumeMod , kTuningMod , kPanningLeft , kPanningRight , kNoiseVolume , kFilterFrequencyMod , kFilterQMod , kSinusVolume , kTriangleVolume , kFilterType , kTriangleSlope , kSinusDetune , kReleaseTimeMod , kSquareVolume , kNumParameters }

## Macro Definition Documentation

## ◆ M_PI_MUL_2

#define M_PI_MUL_2 6.28318530717958647692

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.